- Qt 6.11
- Qt 3D
- QML Types
- Qt3D.Render (Deprecated)
- RenderCapture
- Qt 6.11.1 Reference Documentation

# RenderCapture QML Type

Capture rendering. More...

Import Statement: | `import Qt3D.Render 2.11`
Inherits: | FrameGraphNode
Status: | Deprecated

- List of all members, including inherited members
- Deprecated members

## Methods

- RenderCaptureReply requestCapture()
- RenderCaptureReply requestCapture(Rect rect)

## Detailed Description

## Method Documentation

### RenderCaptureReply requestCapture()

Used to request render capture. Only one render capture result is produced per requestCapture call even if the frame graph has multiple leaf nodes. The function returns a QRenderCaptureReply object, which receives the captured image when it is done. The user is responsible for deallocating the returned object.

### RenderCaptureReply requestCapture(Rect rect)

Used to request render capture from a specified rect. Only one render capture result is produced per requestCapture call even if the frame graph has multiple leaf nodes. The function returns a QRenderCaptureReply object, which receives the captured image when it is done. The user is responsible for deallocating the returned object.